Bug 1117974 - coin-or-Ipopt MUMPS interface calls MPI_Init multiple times
Summary: coin-or-Ipopt MUMPS interface calls MPI_Init multiple times
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: coin-or-Ipopt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paulo Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 18:12 UTC by Paulo Andrade
Modified: 2014-07-25 10:06 UTC (History)
1 user (show)

Fixed In Version: coin-or-Ipopt-3.11.8-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-25 10:04:13 UTC


Attachments (Terms of Use)

Description Paulo Andrade 2014-07-09 18:12:21 UTC
This is a fatal error, and causes coin-or-Bonmin test to fail.

Sample run of one of the coin-or-Bonmin tests:


---%<---
[pcpa@localhost test]$ ./CppExample 

******************************************************************************
This program contains Ipopt, a library for large-scale nonlinear optimization.
 Ipopt is released as open source code under the Eclipse Public License (EPL).
         For more information visit http://projects.coin-or.org/Ipopt
******************************************************************************

NOTE: You are using Ipopt by default with the MUMPS linear solver.
      Other linear solvers might be more efficient (see Ipopt documentation).


NLP0012I 
              Num      Status      Obj             It       time                 Location
NLP0014I             1         OPT -2.618034       13 0.007
--------------------------------------------------------------------------
Calling MPI_Init or MPI_Init_thread twice is erroneous.
--------------------------------------------------------------------------
[localhost:17041] *** An error occurred in MPI_Init
[localhost:17041] *** reported by process [2451439617,0]
[localhost:17041] *** on communicator MPI_COMM_WORLD
[localhost:17041] *** MPI_ERR_OTHER: known error not in list
[localhost:17041] *** MPI_ERRORS_ARE_FATAL (processes in this communicator will now abort,
[localhost:17041] ***    and potentially your MPI job)
---%<---

Debian apparently just removes the call in their related package

https://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg1189528.html

so it should be OK to do the same, as there is no way to communicate
with the "main" program and MPI_Init does not "ignore" being called
twice.

Comment 1 Fedora Update System 2014-07-10 13:11:21 UTC
coin-or-Ipopt-3.11.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/coin-or-Ipopt-3.11.8-1.fc19

Comment 2 Fedora Update System 2014-07-10 13:12:54 UTC
coin-or-Ipopt-3.11.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/coin-or-Ipopt-3.11.8-1.fc20

Comment 3 Fedora Update System 2014-07-11 02:03:23 UTC
Package coin-or-Ipopt-3.11.8-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing coin-or-Ipopt-3.11.8-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8242/coin-or-Ipopt-3.11.8-1.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-07-25 10:04:13 UTC
coin-or-Ipopt-3.11.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-07-25 10:06:52 UTC
coin-or-Ipopt-3.11.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.